@media (max-width: 1300px) {
  .look {
    position: relative;
  }
  .look,
  .look__slide {
    grid-template-columns: 1fr;
  }

  .look__items {
    gap: 20px;
    height: 100%;
    overflow-y: hidden;
  }

  .look__card {
    border-left: none;
    padding-left: 0;
  }

  .look__card-details,
  .look__card-top {
    width: 100%;
  }

  .look__card-top {
    position: absolute;
    top: -126px;
    gap: 16px;
    left: 0;
  }

  .look-slider-next,
  .look-slider-prev {
    width: 200px;
  }
}

@media (max-width: 1024px) {
  .product__btns.desktop,
  .mobile-sort__items,
  .product__images {
    display: none;
  }

  .product-content {
    margin-top: 80px;
  }

  .close-mobile-sizes-table,
  .product__images-slider {
    display: block;
  }

  .product-content {
    margin-top: 24px;
  }

  .product {
    width: 100%;
  }

  .product-bottom-info {
    margin-top: 32px;
  }

  .same-products {
    margin-top: 56px;
  }

  .mobile-add-product-to-card {
    display: flex;
    position: fixed;
    bottom: 54px;
    background-color: white;
    width: 100%;
    left: 0;
    padding: 12px 16px;
    z-index: 10;
  }

  .desktop-sizes-tible {
    display: none;
  }
  .mobile-sizes-tible {
    display: block;
    font-size: 12px;
    font-weight: 400;
    line-height: 15.6px;
    text-decoration-line: underline;
    color: var(--brown);
    position: absolute;
    right: 16px;
    top: -20px;
  }

  .product__select-sizes-content {
    max-height: 100%;
  }

  .product__select-sizes-head {
    background-color: #eeeeee;
  }

  .product__select-sizes-head::after {
    content: none;
  }

  .product__select-sizes-head {
    font-size: 12px;
    padding: 14px 16px;
  }

  .product__controls-item {
    padding: 14px;
  }

  .look,
  .same-products,
  .product-content {
    position: relative;
    z-index: 1;
  }

  .product-content {
    position: relative;
    z-index: 2;
  }

  .product__select-sizes {
    position: fixed;
    width: 100%;
    top: 100%;
    left: 0;
    margin-top: 0;
    transition: all var(--transition);
  }

  .product__select-sizes.active {
    top: 80px;
  }

  .product__list-wrapper {
    max-height: 490px;
    overflow-y: auto;
  }
}

@media (max-width: 768px) {
  .look__card-price-value,
  .product__actual-price {
    font-size: 24px;
    line-height: 28.13px;
  }

  .look__card-details-count,
  .same-products__title,
  .look__card-title,
  .product__title {
    font-size: 18px;
    line-height: 21.09px;
  }

  .same-products {gap: 16px;}

  .look-slider-counter {
    font-size: 14px;
  }

  .look__dropdown-head,
  .product__description span, 
  .product__description p, 
  .product__in-other-sizes-title, 
  .product-characteristics h4, 
  .product-characteristics span, 
  .product-characteristics p,
  .product__sizes-with-price {
    font-size: 12px;
  }

  .product__discount span {
    font-size: 10px;
  }

  .product__price-section {
    gap: 16px;
  }

  .product__price {
    margin-top: 30px;
    gap: 8px;
  }

  .product__info {
    padding-bottom: 32px;
  }
  
  .product-characteristics__content {
    row-gap: 4px;
  }

  .product-characteristics {gap: 8px;}

  .product-bottom-info {gap: 24px;}

  .look-slider-next, .look-slider-prev {max-width: 100px;}

  .look_slider-controls {justify-content: space-between;}

  .look-slider-next.swiper-button-disabled, .look-slider-prev.swiper-button-disabled {opacity: 0.1;}
  
  .look__card-top {top: -80px;}

  .look {margin-top: 128px;}
  
  .look__item {
    display: flex;
    flex-direction: column;
    gap: 12px;
    position: relative;
  }

  .look__prices {
    position: absolute;
    top: 50px;
    right: 40px;
    width: 100px;
  }

  .look__details {
    display: flex;
  }
  
  .look__item-content,
  .look__sizes {width: 100%;}

  .look__items {padding-left: 0;}

  .look__item-img {margin-left: 40px;}

  .look__item-select {left: 0;}
  
  .look__dropdown-head {padding: 14px;}

  .look__item-title {gap: 0;}
  
}

@media (max-width: 420px) {
  .product__images-slide img {
    height: auto;
  }
}
